.offer {
    overflow: hidden;
    text-align: center;
    background: url("../img/offer_bg.jpg") 50% 50% no-repeat;
    background-size: cover;

    &__main {
        position: relative;
        padding-top: rem(30);
        padding-bottom: rem(400);
    }

    &__content {
        z-index: 10;
        position: relative;
    }

    &__header {
        margin-bottom: rem(28);
    }

    &__text {
        max-width: rem(520);
        margin: 0 auto rem(28) auto;
    }

    &__media {
        z-index: 1;
        bottom: 0;
        left: calc(50% - 140px);
        width: 266px;
        position: absolute;
    }

    @media (min-width: $screen-md) {

        &__main {
            padding-top: rem(68);
            padding-bottom: rem(540);
        }

        &__media {
            width: 362px;
            bottom: -5px;
            left: calc(50% - 180px);
        }
    }

    @media (min-width: $screen-xl) {

        &__main {
            height: rem(722);
            padding-top: rem(256);
            padding-bottom: rem(60);
        }

        &__content {
            text-align: left;
        }

        &__text {
            margin: 0 0 rem(28) 0;
        }

        &__media {
            width: 526px;
            bottom:  0;
            left: auto;
            right: 140px;
        }
    }
}
